## cascading.pipe
Class Each

    java.lang.Object
      cascading.pipe.Pipe
          cascading.pipe.Operator
              cascading.pipe.Each

All Implemented Interfaces:
  FlowElement, Serializable

    public class Each

extends Operator

The Each operator applies either a `Function` or a `Filter` to each entry in the `Tuple` stream. Any number of Each operators can follow an Each, `Group`, or `Every` operator.

See Also:
  Serialized Form

Nested Class Summary
`class` `Each.EachAssertionHandler`
`class` `Each.EachFilterHandler`
`class` `Each.EachFunctionHandler`
`class` `Each.EachHandler` Class EachHandler is a helper class that wraps Each instances.

Field Summary

Fields inherited from class cascading.pipe.Operator
`argumentSelector, operation, outputSelector, plannerLevel`

Fields inherited from class cascading.pipe.Pipe
`previous`

Constructor Summary
`Each(Pipe previous, AssertionLevel assertionLevel, Assertion assertion)`
`Each(Pipe previous, DebugLevel debugLevel, Debug debug)`
`Each(Pipe previous, Fields argumentSelector, AssertionLevel assertionLevel, Assertion assertion)`
`Each(Pipe previous, Fields argumentSelector, DebugLevel debugLevel, Debug debug)`
`Each(Pipe previous, Fields argumentSelector, Filter filter)` Constructor Each creates a new Each instance.
`Each(Pipe previous, Fields argumentSelector, Function function)` Only pass argumentFields to the given function, only return fields declared by the function.
`Each(Pipe previous, Fields argumentSelector, Function function, Fields outputSelector)` Only pass argumentFields to the given function, only return fields selected by the outputSelector.
`Each(Pipe previous, Filter filter)` Constructor Each creates a new Each instance.
`Each(Pipe previous, Function function)` Pass all fields to the given function, only return fields declared by the function.
`Each(Pipe previous, Function function, Fields outputSelector)` Only pass argumentFields to the given function, only return fields selected by the outputSelector.
`Each(String name, AssertionLevel assertionLevel, Assertion assertion)` Constructor Each creates a new Each instance.
`Each(String name, Fields argumentSelector, AssertionLevel assertionLevel, Assertion assertion)`
`Each(String name, Fields argumentSelector, DebugLevel debugLevel, Debug debug)`
`Each(String name, Fields argumentSelector, Filter filter)` Constructor Each creates a new Each instance.
`Each(String name, Fields argumentSelector, Function function)` Only pass argumentFields to the given function, only return fields declared by the function.
`Each(String name, Fields argumentSelector, Function function, Fields outputSelector)` Only pass argumentFields to the given function, only return fields selected by the outputSelector.
`Each(String name, Filter filter)` Constructor Each creates a new Each instance.
`Each(String name, Function function)` Pass all fields to the given function, only return fields declared by the function.
`Each(String name, Function function, Fields outputSelector)` Only return fields selected by the outputSelector.

Method Summary
`Each.EachHandler` `getHandler(FlowCollector flowCollector, Scope scope)`
`Scope` `outgoingScopeFor(Set<Scope> incomingScopes)` Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.
`Fields` `resolveFields(Scope scope)` Method resolveFields returns the actual field names represented by the given Scope.
`Fields` `resolveIncomingOperationFields(Scope incomingScope)` Method resolveIncomingOperationFields resolves the incoming scopes to the actual incoming operation field names.
`protected void` `verifyOperation()`

Methods inherited from class cascading.pipe.Operator
`equals, getArgumentSelector, getAssertionLevel, getFieldDeclaration, getOperation, getOutputSelector, getPlannerLevel, hashCode, hasPlannerLevel, isAssertion, isEquivalentTo, makeResult, printInternal, resolveRemainderFields, toString`

Methods inherited from class cascading.pipe.Pipe
`getHeads, getName, getPrevious, getTrace, names, pipes, print`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Each

    @ConstructorProperties(value={"name","function"})
    public Each(String name,
                                           Function function)

  Pass all fields to the given function, only return fields declared by the function.

  Parameters:
    `name` - name for this branch of Pipes
    `function` - Function to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"name","argumentSelector","function"})
    public Each(String name,
                                           Fields argumentSelector,
                                           Function function)

  Only pass argumentFields to the given function, only return fields declared by the function.

  Parameters:
    `name` - name for this branch of Pipes
    `argumentSelector` - field selector that selects Function arguments from the input Tuple
    `function` - Function to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"name","argumentSelector","function","outputSelector"})
    public Each(String name,
                                           Fields argumentSelector,
                                           Function function,
                                           Fields outputSelector)

  Only pass argumentFields to the given function, only return fields selected by the outputSelector.

  Parameters:
    `name` - name for this branch of Pipes
    `argumentSelector` - field selector that selects Function arguments from the input Tuple
    `function` - Function to be applied to each input Tuple
    `outputSelector` - field selector that selects the output Tuple from the input and Function results Tuples

### Each

    @ConstructorProperties(value={"name","function","outputSelector"})
    public Each(String name,
                                           Function function,
                                           Fields outputSelector)

  Only return fields selected by the outputSelector.

  Parameters:
    `name` - name for this branch of Pipes
    `function` - Function to be applied to each input Tuple
    `outputSelector` - field selector that selects the output Tuple from the input and Function results Tuples

### Each

    @ConstructorProperties(value={"previous","function"})
    public Each(Pipe previous,
                                           Function function)

  Pass all fields to the given function, only return fields declared by the function.

  Parameters:
    `previous` - previous Pipe to receive input Tuples from
    `function` - Function to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"previoud","argumentSelector","function"})
    public Each(Pipe previous,
                                           Fields argumentSelector,
                                           Function function)

  Only pass argumentFields to the given function, only return fields declared by the function.

  Parameters:
    `previous` - previous Pipe to receive input Tuples from
    `argumentSelector` - field selector that selects Function arguments from the input Tuple
    `function` - Function to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"previous","argumentSelector","function","outputSelector"})
    public Each(Pipe previous,
                                           Fields argumentSelector,
                                           Function function,
                                           Fields outputSelector)

  Only pass argumentFields to the given function, only return fields selected by the outputSelector.

  Parameters:
    `previous` - previous Pipe to receive input Tuples from
    `argumentSelector` - field selector that selects Function arguments from the input Tuple
    `function` - Function to be applied to each input Tuple
    `outputSelector` - field selector that selects the output Tuple from the input and Function results Tuples

### Each

    @ConstructorProperties(value={"previous","function","outputSelector"})
    public Each(Pipe previous,
                                           Function function,
                                           Fields outputSelector)

  Only pass argumentFields to the given function, only return fields selected by the outputSelector.

  Parameters:
    `previous` - previous Pipe to receive input Tuples from
    `function` - Function to be applied to each input Tuple
    `outputSelector` - field selector that selects the output Tuple from the input and Function results Tuples

### Each

    @ConstructorProperties(value={"name","filter"})
    public Each(String name,
                                           Filter filter)

  Constructor Each creates a new Each instance.

  Parameters:
    `name` - name for this branch of Pipes
    `filter` - Filter to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"name","argumentSelector","filter"})
    public Each(String name,
                                           Fields argumentSelector,
                                           Filter filter)

  Constructor Each creates a new Each instance.

  Parameters:
    `name` - name for this branch of Pipes
    `argumentSelector` - field selector that selects Function arguments from the input Tuple
    `filter` - Filter to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"previous","filter"})
    public Each(Pipe previous,
                                           Filter filter)

  Constructor Each creates a new Each instance.

  Parameters:
    `previous` - previous Pipe to receive input Tuples from
    `filter` - Filter to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"previous","argumentSelector","filter"})
    public Each(Pipe previous,
                                           Fields argumentSelector,
                                           Filter filter)

  Constructor Each creates a new Each instance.

  Parameters:
    `previous` - previous Pipe to receive input Tuples from
    `argumentSelector` - field selector that selects Function arguments from the input Tuple
    `filter` - Filter to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"name","assertionLevel","assertion"})
    public Each(String name,
                                           AssertionLevel assertionLevel,
                                           Assertion assertion)

  Constructor Each creates a new Each instance.

  Parameters:
    `name` - name for this branch of Pipes
    `assertionLevel` - AssertionLevel to associate with the Assertion
    `assertion` - Assertion to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"name","argumentSelector","assertionLevel","assertion"})
    public Each(String name,
                                           Fields argumentSelector,
                                           AssertionLevel assertionLevel,
                                           Assertion assertion)

Parameters:
  `name` - name for this branch of Pipes
  `argumentSelector` - field selector that selects Function arguments from the input Tuple
  `assertionLevel` - AssertionLevel to associate with the Assertion
  `assertion` - Assertion to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"previous","assertionLevel","assertion"})
    public Each(Pipe previous,
                                           AssertionLevel assertionLevel,
                                           Assertion assertion)

Parameters:
  `previous` - previous Pipe to receive input Tuples from
  `assertionLevel` - AssertionLevel to associate with the Assertion
  `assertion` - Assertion to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"previous","argumentSelector","assertionLevel","assertion"})
    public Each(Pipe previous,
                                           Fields argumentSelector,
                                           AssertionLevel assertionLevel,
                                           Assertion assertion)

Parameters:
  `previous` - previous Pipe to receive input Tuples from
  `argumentSelector` - field selector that selects Function arguments from the input Tuple
  `assertionLevel` - AssertionLevel to associate with the Assertion
  `assertion` - Assertion to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"name","argumentSelector","debugLevel","debug"})
    public Each(String name,
                                           Fields argumentSelector,
                                           DebugLevel debugLevel,
                                           Debug debug)

Parameters:
  `name` - name for this branch of Pipes
  `argumentSelector` - field selector that selects Function arguments from the input Tuple
  `debugLevel` - DebugLevel to associate with the Debug
  `debug` - Debug to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"previous","debuglevel","debug"})
    public Each(Pipe previous,
                                           DebugLevel debugLevel,
                                           Debug debug)

Parameters:
  `previous` - previous Pipe to receive input Tuples from
  `debugLevel` - DebugLevel to associate with the Debug
  `debug` - Debug to be applied to each input Tuple

### Each

    @ConstructorProperties(value={"previous","argumentSelector","debugLevel","debug"})
    public Each(Pipe previous,
                                           Fields argumentSelector,
                                           DebugLevel debugLevel,
                                           Debug debug)

Parameters:
  `previous` - previous Pipe to receive input Tuples from
  `argumentSelector` - field selector that selects Function arguments from the input Tuple
  `debugLevel` - DebugLevel to associate with the Debug
  `debug` - Debug to be applied to each input Tuple

Method Detail

### verifyOperation

    protected void verifyOperation()

  Overrides:
    `verifyOperation` in class `Operator`

### resolveIncomingOperationFields

    public Fields resolveIncomingOperationFields(Scope incomingScope)

  Description copied from interface: `FlowElement`
  Method resolveIncomingOperationFields resolves the incoming scopes to the actual incoming operation field names.

  Specified by:
    `resolveIncomingOperationFields` in interface `FlowElement`
  Overrides:
    `resolveIncomingOperationFields` in class `Pipe`
  Parameters:
    `incomingScope` - of type Scope
  Returns:
    Fields
  See Also:
    `FlowElement.resolveIncomingOperationFields(cascading.flow.Scope)`

### resolveFields

    public Fields resolveFields(Scope scope)

  Description copied from interface: `FlowElement`
  Method resolveFields returns the actual field names represented by the given Scope. The scope may be incoming or outgoing in relation to this FlowElement instance.

  Specified by:
    `resolveFields` in interface `FlowElement`
  Overrides:
    `resolveFields` in class `Pipe`
  Parameters:
    `scope` - of type Scope
  Returns:
    Fields
  See Also:
    `FlowElement.resolveFields(Scope)`

### outgoingScopeFor

    public Scope outgoingScopeFor(Set<Scope> incomingScopes)

  Description copied from interface: `FlowElement`
  Method outgoingScopeFor returns the Scope this FlowElement hands off to the next FlowElement.

  Specified by:
    `outgoingScopeFor` in interface `FlowElement`
  Specified by:
    `outgoingScopeFor` in class `Operator`
  Parameters:
    `incomingScopes` - of type Set<Scope>
  Returns:
    Scope
  See Also:
    `Operator.outgoingScopeFor(Set)`

### getHandler

    public Each.EachHandler getHandler(FlowCollector flowCollector,
                                       Scope scope)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.